This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 99070 - Man pages for io redirection characters do not exist
Man pages for io redirection characters do not exist
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-13 18:05 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 11:13:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-13 18:05:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
There are no man pages for the operators "|", ">", and "<". These seem to be
very basic functions that are used all the time, and pages with examples and
explanations would be very useful.

One specific issue I've had that man pages would have been useful for is the
fact that ">" redirects stdout but not stderr. It took a long time to figure out
why ">" wasn't working, and then when I asked someone, they didn't know the
syntax for redirecting stderr. This should really be documented.

Version-Release number of selected component (if applicable):
man-pages-1.53-3

How reproducible:
Always

Steps to Reproduce:
1. man ">"
or
2. man "<"
or 
3. man "|"
    

Actual Results:  I was told "No manual entry for >".

Expected Results:  I should have received a manual page.

Additional info:
Comment 1 Eido Inoue 2003-07-14 11:13:11 EDT
the pipe and redirection you describe are functions of the shell... whether it
be bash, ksh, tcsh, etc.

They are documented in each of these respective man pages (for example "man
bash"-- yes, I know the page is long. "info bash" is easier to read).

As the pipe and redirection work differently in each shell (especially with
regards to combining stderr and stdout together), it would be inappropriate for
them to have a man page of their own, imo.

Note You need to log in before you can comment on or make changes to this bug.